from pydantic_settings import BaseSettings
from pathlib import Path

class Settings(BaseSettings):
    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "Simple Todo Application"
    PROJECT_DESCRIPTION: str = "A simple todo application API built with FastAPI and SQLAlchemy"
    VERSION: str = "1.0.0"
    
    # Database settings
    DB_DIR: Path = Path("/app") / "storage" / "db"
    
    class Config:
        env_file = ".env"
        case_sensitive = True

settings = Settings()